function dep_fisher
    # Define dependencies for the plugins used by fisher
    set dependencies "fzf"

    # Check and install dependencies
    for dep in $dependencies
        if not command -v $dep >/dev/null 2>&1
            echo "Dependency $dep is not installed. Installing..."
            if test -n "$FISH_INSTALL"
                upin
                $FISH_INSTALL $dep
            else
                echo "FISH_INSTALL is not defined ' $FISH_INSTALL '. Please install $dep manually."
            end
        end
    end
end
